import mongoose from 'mongoose';

const MeasurementTemplateSchema = new mongoose.Schema({
  name: String,
  version: Number,
  parameters: [{
    name: String,
    range: mongoose.Schema.Types.Mixed
  }]
}, {minimize: false});  // to allow empty objects

export default mongoose.model('measurement_template', MeasurementTemplateSchema);