import mongoose from 'mongoose';
import SampleModel from './sample';
import TreatmentTemplateModel from './treatment_template';

const ConditionSchema = new mongoose.Schema({
  sample_id: {type: mongoose.Schema.Types.ObjectId, ref: SampleModel},
  number: String,
  parameters: mongoose.Schema.Types.Mixed,
  treatment_template: {type: mongoose.Schema.Types.ObjectId, ref: TreatmentTemplateModel},
  status: Number
});

export default mongoose.model('condition', ConditionSchema);