import mongoose from 'mongoose';
import ConditionModel from './condition';
import MeasurementTemplateModel from './measurement_template';

const MeasurementSchema = new mongoose.Schema({
  condition_id: {type: mongoose.Schema.Types.ObjectId, ref: ConditionModel},
  values: mongoose.Schema.Types.Mixed,
  measurement_template: {type: mongoose.Schema.Types.ObjectId, ref: MeasurementTemplateModel},
  status: Number
});

export default mongoose.model('measurement', MeasurementSchema);